#utf-8
import time
import traceback

from lib.socket.service.AutoCarTimerService import AutoCarTimerService

#写入文件
def writeToFile(path,data,type=1):         #：代表追加  0：代表覆盖
    if(type == 1):
        with open(path, "a", encoding='utf-8') as fi:
            fi.write(data)
    else:
        with open(path, "w", encoding='utf-8') as fi:
            fi.write(data)

def startSimulaterService():
    autoCarObj = AutoCarTimerService()
    autoCarObj.setHost("10.100.12.32")                  # 设置主机地址
    autoCarObj.setPort(9008)                            # 设置端口号
    autoCarObj.setCarId("M202003060520")                #设置车机号
    autoCarObj.setSendDur(3)                            # 设置发送消息的间隔时间
    autoCarObj.setTimeout(30)                           # 设置socket超时时间
    autoCarObj.setOilExpend(10)                         # 设置1L 油跑多少公里
    autoCarObj.setSpeed(80)                             #设置车速，每小时多少公里

    '''
    如果年、月、日、时、分、秒都设置为0，则代表永远不会有模拟汽车行驶
    如果想要每小时的25分自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=0,minute=25,second=0
    如果想要每天的9点自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=9,minute=0,second=0
     如果想要每天的9点30自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=9,minute=30,second=0
    '''
    autoCarObj.startService(year=0,month=0,day=0,hour=0,minute=24,second=0)

if __name__ == "__main__":
    try:
        startSimulaterService()
    except BaseException as e:
        timeS = int(time.time())
        timeArray = time.localtime(timeS)
        datetime = time.strftime("%Y-%m-%d %H:%M:%S", timeArray)
        err = traceback.format_exc()
        writeToFile("data/log1.txt", "[" + datetime + "]", type=1)
        writeToFile("data/log1.txt", err, type=1)





